// PURE Qt4, no compatibility layer

#ifndef _QSW_HELP_H
#define _QSW_HELP_H

#include <QObject>
#include <string>
#include <QTextBrowser>
#include <QMainWindow>
#include <stdlib.h>

 class QswHelpWindow : public QMainWindow
{
    typedef std::string string;
    
    Q_OBJECT
            
            string help_root_dir;
    QTextBrowser* help_browser;
    
    public slots:
        void about();
        void back();
        void goIndex();
        
    public:
        QswHelpWindow( QWidget *parent=0, const char *name=0 );
        void manEntry(const std::string &entry);
};

#endif
